variables:
  SECURE_LOG_LEVEL:
    value: "debug"
    description: "Log-Level for SAST. Default: 'info', can be: 'debug' (src: https://docs.gitlab.com/ee/user/application_security/sast/#logging-level)"
  SCAN_KUBERNETES_MANIFESTS:
    value: "true"
    description: "enable kubesec-sast"
  KUBESEC_HELM_OPTIONS:
    value: ""
    description: "Options to pass to helm, might be: '--debug'"

# You can override the included template(s) by including variable overrides
# SAST customization: https://docs.gitlab.com/ee/user/application_security/sast/#customizing-the-sast-settings
# Secret Detection customization: https://docs.gitlab.com/ee/user/application_security/secret_detection/#customizing-settings
# Dependency Scanning customization: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#customizing-the-dependency-scanning-settings
# Container Scanning customization: https://docs.gitlab.com/ee/user/application_security/container_scanning/#customizing-the-container-scanning-settings
# Note that environment variables can be set in several places
# See https://docs.gitlab.com/ee/ci/variables/#cicd-variable-precedence
stages:
- test
sast:
  stage: test
include:
- template: Security/SAST.gitlab-ci.yml

before_script:
  - echo $KUBECONFIG; ls -la $KUBECONFIG
kubesec-sast:
  artifacts:
    when: always
    untracked: true
  variables:
    KUBESEC_HELM_CHARTS_PATH: "$CI_PROJECT_DIR/Chart"
